<?php
ini_set("session.cookie_lifetime",60*60*10);
ini_set("session.gc_maxlifetime", 60*60*10);
	session_start();
	include("cls_conexion.php");$CNN=new ClsMySQL();include("conexion23.php");
	if(strlen($_SESSION['SYS_USER_ID'])==0){JsDir("login.php");	return;}
	//
if(vbval($_SESSION['SYS_USER_GI'])!=USU_GET_GI($_SESSION['SYS_USER_ID'])){
	JsDir("cerrar.php");	
	return;
}
//
	//-------------------------
	$StrId=V($_POST['TxtId']);
	$StrCmd=V($_POST['TxtAc']);
	//-------------------------
	$StrEmp=V($_POST['CboEmp']);	
	$StrAlm=V($_POST['CboAlm']);		
	$StrEmpD=V($_POST['CboEmpD']);
	$StrAlmD=V($_POST['CboAlmD']);
	$StrSN=V($_POST['CboSN']);		
	$StrVA=V($_POST['CboVA']);		
	$StrNum=V($_POST['TxtNum']);	
	$TraSer=V($_POST['TraSer']);		
	$TraNum=V($_POST['TraNum']);		
	$StrDex=V($_POST['TxtDex']);		
	$StrHax=V($_POST['TxtHax']);				
	//
	if(strlen($StrEmp)==0)$StrEmp=GE("S");
	if(strlen($StrAlm)==0)$StrAlm=GA($StrEmp,"S");
	//
	if(strlen($StrEmpD)==0)$StrEmpD="TODOS";
	if(strlen($StrAlmD)==0)$StrAlmD="TODOS";
	//-------------------------
	if(strlen($StrSN)==0) $StrSN="NO";
	if(strlen($StrVA)==0) $StrVA="NO";
	//-------------------------
	$StrEmp_=LIKE($StrEmp);
	$StrEmpD_=LIKE($StrEmpD);
	$StrAlm_=LIKE($StrAlm);
	$StrAlmD_=LIKE($StrAlmD);
	$StrNum_=$StrNum."%";
	$TraSer_="%".$TraSer;
	$TraNum_="%".$TraNum;
	$StrDex_=val_dex($StrDex);
	$StrHax_=val_hax($StrHax);
	//-------------------------
	$StrSN_=substr($StrSN,0,1);
	$StrVA_=substr($StrVA,0,1);
	//-------------------------	
	$FF="ID>0 AND O_EMPC LIKE '$StrEmp_' AND D_EMPC LIKE '$StrEmpD_' 
		 AND ORI LIKE '$StrAlm_' AND DES LIKE '$StrAlmD_' AND 
		 NUM LIKE '$StrNum_' AND FEC >= '$StrDex_' AND 
		 FEC <= '$StrHax_' AND ANU LIKE '$StrSN_' AND 
		 TSER LIKE '$TraSer_' AND TNUM LIKE '$TraNum_' AND VAL LIKE '$StrVA_'";
	$LStrTR=gn("count(*)","vtransferencias",$FF);	
	$LStrPag=V($_POST['TxtPag']);	
	if($StrCmd=="F"){$LStrPag="1";}						
	$VP_RegXPag=500;
	//-------------------------
	$LStrPag=PagGet($LStrPag,$StrCmd,$LStrTR,$VP_RegXPag);
	$IT=0;
?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
<title>Transferencias - Buscar</title>
<!--CSS_NEW------------------------------------->
<link rel="stylesheet" type="text/css" href="estiloss.css"  />
<link rel="stylesheet" type="text/css" href="basic.css"  />
<!--CSS_NEW------------------------------------->
<?php AddJs();?>
<script type="text/javascript" src="fe/funcionez.js"></script>
<script language="javascript">
$(document).ready(function() {
	$(".botonExcel").click(function(event) {
		$("#datos_a_enviar").val( $("<div>").append( $("#Exportar_a_Excel").eq(0).clone()).html());
		$("#FormularioExportacion").submit();
});
});
</script>
<script>
$(document).ready(function(){
	$("#TxtDex").mask("99-99-99");
	$("#TxtHax").mask("99-99-99");
});
//
function EM_OC(){	
	var Emp=gv("CboEmp");	
	var r=AX("03",Emp);
	if(r=="X"){
		CBO_CLS("CboAlm",1);
	}else{
		CBO_FILL("CboAlm",r,0);
	}
}
function EM_OCD(){
	var Emp=gv("CboEmpD");	
	var r=AX("01",Emp);
	if(r=="X"){
		CBO_CLS("CboAlmD",1);
	}else{
		CBO_FILL("CboAlmD",r,0);
	}
}
</script>
<style type="text/css">
<!--
body {
	background-color: #CCC;
}
#Layer1 {
	position:absolute;
	left:345px;
	top:115px;
	width:123px;
	height:35px;
	z-index:1;
}
.centrarFrm{
	width:1200px;
	height:600px;
	position:absolute;
	left:<?php echo "50%";?>;
	top:<?php echo "50%";?>;
	background-color:#006699;
	margin:<?php echo "-300px";?> 0 0 <?php echo "-600px";?>;
}
#Layer2 {
	position:absolute;
	left:409px;
	top:205px;
	width:82px;
	height:24px;
	z-index:1;
}
.Estilo1 {
	font-family: Arial, Helvetica, sans-serif;
	font-weight: bold;
	color: #FFFFFF;
}
.f2 {font-family: Arial, Helvetica, sans-serif; font-weight: bold; color: #FFFFFF; font-size: 12px; }
.Estilo3 {color: #FFFFFF; font-size: 12px; font-family: Arial, Helvetica, sans-serif;}
.x4 {color: #000099}
.Estilo5 {color: #000000}

-->
</style>

</head>
<body onload="jFocus('CboAlm');" >
<div Id="DivFRM"  class="centrarFrm" >
<form id="Frm" name="Frm" method="post" action="transferenciasv_buscar.php">
  

    <div id="layer5" style="position:absolute; left: 116px; top: 50px; width: 85px; height: 28px;">
      <div align="left" class="f2">
        <input name="CmdV" type="button" id="CmdV" 
        value="Volver" onclick="fVolver('transferenciasv.php?TxtAc=X');" />
      </div>
    </div>
<div id="layer3" style="position:absolute; left:30px; top: 147px; width: 1152px; height: 413px; overflow:auto">
<div align="left" class="f2">
<table id="Exportar_a_Excel" width="1135" height="19" border="1" cellpadding="0" cellspacing="0">
<tr>
<td height="18" colspan="7" bgcolor="#666666" align="center">
<?php echo PagBtn($LStrTR,$VP_RegXPag,$LStrPag);?>
</td>
</tr>
<tr>
<td width="140" bgcolor="#999999"><span class="x4">ORIGEN</span></td>
<td width="186" bgcolor="#999999"><span class="x4">DESTINO</span></td>
<td width="107" bgcolor="#999999"><span class="x4">NUM.AUT.</span></td>
<td width="97" bgcolor="#999999"><span class="x4">T.SERIE</span></td>
<td width="194" bgcolor="#999999"><span class="x4">T.NUMERO</span></td>
<td width="171" bgcolor="#999999"><span class="x4">FECHA</span></td>
<td width="171" bgcolor="#999999"><span class="x4">VALIDADO</span></td>
</tr>
<?php		  		

	$s="SELECT ID,ORI,DES,NUM,DATE_FORMAT(FEC,'%d-%m-%y'),TSER,TNUM,VAL,
		O_EMPC,D_EMPC 
		FROM vtransferencias WHERE ".$FF." ORDER BY ORI,DES,NUM,FEC  ";	
	$s=PagSql($s,$LStrPag,$VP_RegXPag,$LStrTR);	  				
	$X1="<td bgcolor=\"#FFFFFF\"><span class=\"Estilo5\">";
	$X2="</span></td>";
	//echo $s."<br>";
	$result = grs($s);				
	while ($row = $result->fetch_row()){
		echo "<tr 
			  ondblclick=\"location.href='transferenciasv.php?Id=$row[0]&Pag=0';\">";
		echo $X1.$row[8]." / ".$row[1].$X2;
		echo $X1.$row[9]." / ".$row[2].$X2;		
		echo "<td bgcolor=\"#FFFFFF\"><a target=\"_blank\" href=\"transferenciasv.php?Id=$row[0]\">'$row[3]</a></td>";
		echo $X1.$row[5].$X2;		
		echo $X1.$row[6].$X2;		
		echo $X1.$row[4].$X2;
		echo $X1.$row[7].$X2;
		echo "</tr>";
	}
?>       
</table>

</div>
</div>
<div id="layer" style="position:absolute; left: 116px; top: 30px; width: 412px; height: 24px;">
<div align="left" class="Estilo1">TRANSFERENCIAS - BUSCAR
<input name="TxtId" type="hidden" id="TxtId" value="<?php echo $StrId;?>"/>
<input name="TxtPag" type="hidden" id="TxtPag" value="<?php echo $LStrPag; ?>" />
<input name="TxtAc" type="hidden" id="TxtAc" value="" />
<input name="FEC_SERVER" type="hidden" id="FEC_SERVER" value="<?php echo date("d-m-y");?>"/> 
</div>
</div>



<div id="LblTit" style="position:absolute; left: 57px; top: 25px; width: 64px;">
<div align="left" class="Estilo1"><img src="img/buscar.png" width="57" height="60" /></div>
</div>	

<div style="position:absolute; left:30px; top: 100px; width: 129px;">
<div align="left" class="f2">EMP. ORIGEN</div>
</div>
<select name="CboEmp" id="CboEmp" 
style="position:absolute; left:30px; top:118px; width: 104px;" 
onchange="EM_OC();"
onkeydown="return SoloTextoEx(event,'CboAlm');" 
tabindex="1">
<?php 
	echo LE($StrEmp,"S","N"); 
?>
</select>

<div style="position:absolute; left: 144px; top: 100px; width: 116px;">
<div align="left" class="f2">ALMACEN ORIGEN</div>
</div>
<select name="CboAlm" id="CboAlm" 
style="position:absolute; left: 141px; top: 118px; width: 118px;" 
tabindex="<?php echo ++$IT;?>"
onkeydown="return SoloTextoEx(event,'CboAlmD');">
<?php
	echo LA($StrEmp,$StrAlm,"S","N");
?>
</select>

<div style="position:absolute; left:268px; top: 100px; width: 131px;">
<div align="left" class="f2">EMP. DESTINO</div></div>
<select name="CboEmpD" id="CboEmpD" 
style="position:absolute; left:268px; top:118px; width: 107px;" 
onchange="EM_OCD();"
onkeydown="return SoloTextoEx(event,'CboAlmD');" tabindex="1">
<?php 
	echo FCBO_("emp_nomc","empresas","id_emp>0",$StrEmpD,"S","N");
?>
</select>

<div style="position:absolute; left: 381px; top: 100px; width: 131px;">
<div align="left" class="f2">ALMACEN DESTINO</div></div>
<select name="CboAlmD" id="CboAlmD" 
style="position:absolute; left: 378px; top: 118px; width: 134px;"
tabindex="<?php echo ++$IT;?>"
onkeydown="return SoloTextoEx(event,'TxtNum');">
<?php 
	if(strlen($StrEmpD)==0 || $StrEmpD=="TODOS"){
		echo FCBO_("ANC","vis_almacenes","IDA>0 ",$StrAlmD,"S","N");
	}else{
		echo FCBO_("ANC","vis_almacenes","IDA>0 AND ENC ='$StrEmpD'",$StrAlmD,"S","N");
	}
?>
</select>

<div style="position:absolute; left: 519px; top: 86px; width: 74px;">
<div align="left" class="f2">CODIGO </div>
</div>
<div style="position:absolute; left: 519px; top: 101px; width: 74px;">
<div align="left" class="f2">TRANSFERENCIA</div>
</div>
<input name="TxtNum" type="text" id="TxtNum" 
style="position:absolute; left: 520px; top:118px; width: 94px;" 
value="<?php echo $StrNum;?>"  
onkeydown="return SoloTextoEx(event,'TraSer');"
tabindex="<?php echo ++$IT;?>" />

<div style="position:absolute; left: 625px; top: 87px; width: 74px;">
<div align="left" class="f2">TRANSFERENCIA</div>
</div>

<div style="position:absolute; left: 625px; top: 102px; width: 74px;">
<div align="left" class="f2">SERIE</div>
</div>
<input name="TraSer" type="text" id="TraSer" 
style="position:absolute; left: 625px; top:118px; width: 47px;" 
value="<?php echo $TraSer;?>"  onblur="_S(this);"
onkeydown="return SoloTextoEx(event,'TraNum');"
tabindex="<?php echo ++$IT;?>" />

<div style="position:absolute; left: 683px; top: 102px; width: 59px;">
<div align="left" class="f2">NUMERO</div>
</div>
<input name="TraNum" type="text" id="TraNum" 
style="position:absolute; left: 680px; top:118px; width: 63px;" 
value="<?php echo $TraNum;?>"   onblur="_N(this);"
onkeydown="return SoloTextoEx(event,'TxtDex');"
tabindex="<?php echo ++$IT;?>" />


<div style="position:absolute; left: 753px; top: 86px; width: 70px;">
<div align="left" class="f2">DESDE</div>
</div>
<div class="EV" style="left: 753px; top: 101px; width: 80px; color:#FF0"><u><a onclick="fFecServer('TxtDex')">(dd-mm-yy) +</a></u></div>
<input name="TxtDex" type="text" id="TxtDex" 
style="position:absolute; left: 752px; top: 118px; width: 81px;" value="<?php echo $StrDex;?>"  
onkeydown="return SoloFec(this,event,'TxtHax');"
tabindex="<?php echo ++$IT;?>" />

<div id="layer11" style="position:absolute; left: 844px; top: 86px; width: 78px;">
<div align="left" class="f2">HASTA</div>
</div>
<div class="EV" style="left: 843px; top: 101px; width: 85px; color:#FF0"><u><a onclick="fFecServer('TxtHax')">(dd-mm-yy) +</a></u></div>
<input name="TxtHax" type="text" id="TxtHax" 
style="position:absolute; left: 844px; top: 118px; width: 77px;" 
value="<?php echo $StrHax;?>"  
onkeydown="return SoloFec(this,event,'CboSN');"
tabindex="<?php echo ++$IT;?>" />

<div id="layer9" style="position:absolute; left: 934px; top: 100px; width: 103px;">
<div align="left" class="f2">ANULADO</div>
</div>
<select name="CboSN" id="CboSN" 
style="position:absolute; left: 933px; top: 118px; width: 100px;" 
tabindex="<?php echo ++$IT;?>"
onkeydown="return SoloTextoEx(event,'CboVA');">
<?php
	if($StrSN=="" || $StrSN=="NO"){
		AD("NO",1);	AD("SI",0);
	}else{
		AD("NO",0);	AD("SI",1);
	}
?>
</select>

<div id="layer9" style="position:absolute; left: 1039px; top: 100px; width: 77px;">
<div align="left" class="f2">VALIDADO</div>
</div>
<select name="CboVA" id="CboVA" 
style="position:absolute; left: 1038px; top: 118px; width: 62px;" 
tabindex="<?php echo ++$IT;?>"
onkeydown="return SoloTextoEx(event,'CmdB');">
<?php
	if($StrVA=="" || $StrVA=="NO"){
		AD("NO",1);	AD("SI",0);
	}else{
		AD("NO",0);	AD("SI",1);
	}
?>
</select>
<input name="CmdB" type="button" id="CmdB" 
style="position:absolute; left: 1107px; top: 118px; width: 59px;"
value="Filtrar" onclick="fFiltrar();"/>
</form>
<form action="ficheroExcel.php" method="post" target="_blank" id="FormularioExportacion" >
<div style="position:absolute; left: 195px; top: 50px; width: 45px; height: 15px;">  
<input name="" type="button" class="botonExcel" value="Exportar" />
<input type="hidden" id="datos_a_enviar" name="datos_a_enviar" />
</div>
</form>

</div>
</body>
</html>
